org.opengis.cite.ogcapifeatures10.openapi3

## Enum OpenApiUtils.PATH

- java.lang.Object
- - java.lang.Enum<OpenApiUtils.PATH>
  - - org.opengis.cite.ogcapifeatures10.openapi3.OpenApiUtils.PATH

- All Implemented Interfaces:
    Serializable, Comparable<OpenApiUtils.PATH>
  Enclosing class:
    OpenApiUtils

      static enum OpenApiUtils.PATH
      extends Enum<OpenApiUtils.PATH>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLLECTIONS`
    `CONFORMANCE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OpenApiUtils.PATH` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OpenApiUtils.PATH[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONFORMANCE

          public static final OpenApiUtils.PATH CONFORMANCE

    - #### COLLECTIONS

          public static final OpenApiUtils.PATH COLLECTIONS

  - ### Method Detail

    - #### values

          public static OpenApiUtils.PATH[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OpenApiUtils.PATH c : OpenApiUtils.PATH.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OpenApiUtils.PATH valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020 Open Geospatial Consortium. All rights reserved.